BSON_UTF8_FROM_UNICHAR(3)

SYNOPSIS

            void
            bson_utf8_from_unichar (bson_unichar_t unichar, char utf8[6], uint32_t *len);

PARAMETERS

    •   unichar: A bson_unichar_t <>.

    •   utf8: A location for the utf8 sequence.

    •   len: A location for the number of bytes in the resulting utf8 sequence.

DESCRIPTION

Converts a single unicode character to a multi-byte UTF-8 sequence. The result is stored in utf8 and the number of bytes used in len.

Author
MongoDB, Inc

Copyright
2009-present, MongoDB, Inc.